Bug 87956 - Redhat 9 un-user-friendly for upgrades from Pink Tie etc.
Redhat 9 un-user-friendly for upgrades from Pink Tie etc.
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-03 18:28 EST by lindahl
Modified: 2007-04-18 12:52 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-04-04 19:06:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description lindahl 2003-04-03 18:28:39 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.3) Gecko/20030313

Description of problem:
When Redhat 9 is booted from CD, it fails to detect an existing Linux install if
/etc/issue has been changed (it's changed in PinkTie, for example, but many sys
admins change /etc/issue), and so only offers install as an option.

There is no visible way to upgrade.

Now section 3.15 of the manual and Appendix H do explain how to get around this
problem. But it's bad PR to make expert users have to read the manual for an
extremely common problem that is new in Redhat 9.

A few words on the screen should be plenty.



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. change /etc/issue
2. boot from ISO
3. note lack of upgrade choice
    

Additional info:
Comment 1 Jeremy Katz 2003-04-04 19:06:14 EST
And it's also mentioned in the release notes.

Unfortunately, the only real way to tell what a system has installed is
/etc/redhat-release.  If the contents of the file don't match the distribution
you're installing, we don't show it as an upgrade by default as otherwise, we'd
start showing Mandrake and other partitions as upgradable, when they aren't.
Comment 2 lindahl 2003-04-04 19:13:05 EST
Well, damn, I'm just stunned that a modest change to significantly raise
ease-of-use for experts is not of interest. At least I now know to not waste my
time filing bugs.
Comment 3 Jeremy Katz 2003-04-05 00:05:36 EST
When the tradeoff is between
a) confuse users by offering to upgrade things that we can't upgrade 
and
b) confuse users who aren't using our official product by making them use a
command line option to get the upgrade check to work

then it's a lose-lose situation either way.  Unfortunately, this is a case where
erring on the side of caution has to be the approach taken.
Comment 4 lindahl 2003-04-05 00:57:52 EST
If that was the choice, I'd agree.

However, it seems to me that more information is an easy thing to add,
instead of mysteriously not offering an upgrade option. How about:

"I can't find an existing Redhat install. If you think I should have found
one, please see section XXX of the manual."

That is 1000% better than simply not offering an upgrade option.


Note You need to log in before you can comment on or make changes to this bug.